Index: trunk/source/App/TAppDecoder/TAppDecCfg.cpp
===================================================================
--- trunk/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1066)
+++ trunk/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1084)
@@ -95,7 +95,5 @@
   ("RespectDefDispWindow,w", m_respectDefDispWindow, 0, "Only output content inside the default display window\n")
 #if H_MV
-#if H_MV_HLS10_GEN_FIX
   ("OutputVpsInfo,v", m_outputVpsInfo, false, "Output information about the layer dependencies and layer sets")
-#endif
 #endif
   ;
Index: trunk/source/App/TAppDecoder/TAppDecCfg.h
===================================================================
--- trunk/source/App/TAppDecoder/TAppDecCfg.h	(revision 1066)
+++ trunk/source/App/TAppDecoder/TAppDecCfg.h	(revision 1084)
@@ -80,7 +80,5 @@
 
 #if H_MV
-#if H_MV_HLS10_GEN_FIX
   Bool          m_outputVpsInfo;                     ///< Output VPS information 
-#endif
   Void xAppendToFileNameEnd( Char* pchInputFileName, const Char* pchStringToAppend, Char*& rpchOutputFileName); ///< create filenames
 #endif
Index: trunk/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- trunk/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1066)
+++ trunk/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1084)
@@ -257,15 +257,11 @@
             m_targetDecLayerIdSet = vps->getTargetDecLayerIdList( m_targetOptLayerSetIdx ); 
           }
-#if H_MV_HLS10_GEN_FIX
           if (m_outputVpsInfo )
           {
-#if H_MV_HLS10_AUX
             m_vps->printScalabilityId();
-#endif
             m_vps->printLayerDependencies();
             m_vps->printLayerSets();
             m_vps->printPTL(); 
           }
-#endif
         }
 #if H_3D
@@ -580,10 +576,5 @@
   Int dpbFullness = 0;
 #if H_MV
-#if H_MV_HLS10_ADD_LAYERSETS
   TComSPS* activeSPS = m_tDecTop[ decIdx ]->getActiveSPS();
-#else
-  // preliminary fix
-  TComSPS* activeSPS = m_tDecTop[0]->getActiveSPS();
-#endif
 #else
   TComSPS* activeSPS = m_cTDecTop.getActiveSPS();
@@ -1155,9 +1146,5 @@
     Int curLayerId = m_tDecTop[dIdx]->getLayerId();
     Int curLayerIdxInVps = m_vps->getLayerIdInNuh( curLayerId  ); 
-#if H_MV_HLS10_REF_PRED_LAYERS
     if ( m_vps->getDependencyFlag(optLayerIdxInVps, curLayerIdxInVps ) )
-#else
-    if ( m_vps->getInDirectDependencyFlag(optLayerIdxInVps, curLayerIdxInVps ) )
-#endif
     {
       TComPic* curPic = m_ivPicLists.getPic( curLayerId, pocLastPic ); 
Index: trunk/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1066)
+++ trunk/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1084)
@@ -72,6 +72,4 @@
 #endif
 , m_pchdQPFile()
-, m_pColumnWidth()
-, m_pRowHeight()
 , m_scalingListFile()
 {
@@ -139,6 +137,4 @@
 #endif
   free(m_pchdQPFile);
-  free(m_pColumnWidth);
-  free(m_pRowHeight);
   free(m_scalingListFile);
 #if H_MV
@@ -241,5 +237,4 @@
   {"main-still-picture", Profile::MAINSTILLPICTURE},
 #if H_MV
-#if H_MV_HLS10_PTL
   {"multiview-main", Profile::MULTIVIEWMAIN},
 #if H_3D
@@ -247,11 +242,4 @@
 #endif
 
-#else
-  {"main-stereo",    Profile::MAINSTEREO},
-  {"main-multiview", Profile::MAINMULTIVIEW},
-#if H_3D
-  {"main-3d"    , Profile::MAIN3D},
-#endif
-#endif
 #endif
 };
@@ -341,9 +329,7 @@
 #if H_MV
   vector<Int>   cfg_dimensionLength; 
-#if H_MV_HLS10_PTL
   string        cfg_profiles;
   string        cfg_levels; 
   string        cfg_tiers; 
-#endif
 #if H_3D 
   cfg_dimensionLength.push_back( 2  );  // depth
@@ -354,6 +340,6 @@
 #endif
   string cfg_dQPFile;
-  string cfg_ColumnWidth;
-  string cfg_RowHeight;
+  string cfgColumnWidth;
+  string cfgRowHeight;
   string cfg_ScalingListFile;
   string cfg_startOfCodedInterval;
@@ -380,9 +366,5 @@
   ("NumberOfLayers",        m_numberOfLayers     , 1,                     "Number of layers")
 #if !H_3D
-#if H_MV_HLS10_AUX
   ("ScalabilityMask",       m_scalabilityMask    , 2                    , "Scalability Mask: 2: Multiview, 8: Auxiliary, 10: Multiview + Auxiliary")    
-#else
-  ("ScalabilityMask",       m_scalabilityMask    , 2                    , "Scalability Mask")    
-#endif
 #else
   ("ScalabilityMask",       m_scalabilityMask    , 3                    , "Scalability Mask, 1: Texture 3: Texture + Depth ")    
@@ -391,24 +373,18 @@
   ("ViewOrderIndex",        m_viewOrderIndex     , std::vector<Int>(1,0), "View Order Index per layer")
   ("ViewId",                m_viewId             , std::vector<Int>(1,0), "View Id per View Order Index")
-#if H_MV_HLS10_AUX
   ("AuxId",                 m_auxId              , std::vector<Int>(1,0), "AuxId per layer")
-#endif
 #if H_3D
   ("DepthFlag",             m_depthFlag          , std::vector<Int>(1,0), "Depth Flag")
 #if H_3D_DIM
   ("DMM",                   m_useDMM,           true,  "Depth intra model modes")
-#if SEPARATE_FLAG_I0085
   ("IVP",                   m_useIVP,           true,  "intra-view prediction")
-#endif
   ("SDC",                   m_useSDC,           true,  "Simplified depth coding")
   ("DLT",                   m_useDLT,           true,  "Depth lookup table")
 #endif
-#if MTK_SINGLE_DEPTH_MODE_I0095
+#if H_3D
   ("SingleDepthMode",    m_useSingleDepthMode, true, "Single depth mode")                         
 #endif
 #endif
-#if H_MV_HLS10_GEN_FIX
   ("TargetEncLayerIdList",  m_targetEncLayerIdList, std::vector<Int>(0,0), "LayerIds in Nuh to be encoded")  
-#endif
   ("LayerIdInNuh",          m_layerIdInNuh       , std::vector<Int>(1,0), "LayerId in Nuh")  
   ("SplittingFlag",         m_splittingFlag      , false                , "Splitting Flag")    
@@ -417,8 +393,6 @@
   ("VpsNumLayerSets",       m_vpsNumLayerSets    , 1                    , "Number of layer sets")    
   ("LayerIdsInSet_%d",      m_layerIdsInSets     , std::vector<Int>(1,0), MAX_VPS_OP_SETS_PLUS1 ,"LayerIds of Layer set")  
-#if H_MV_HLS10_ADD_LAYERSETS
   ("NumAddLayerSets"     , m_numAddLayerSets     , 0                                              , "NumAddLayerSets     ")
   ("HighestLayerIdxPlus1_%d", m_highestLayerIdxPlus1, std::vector< Int  >(0,0)  ,MAX_VPS_NUM_ADD_LAYER_SETS, "HighestLayerIdxPlus1")
-#endif
   ("DefaultTargetOutputLayerIdc"     , m_defaultOutputLayerIdc     , 0, "Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet")
   ("OutputLayerSetIdx",     m_outputLayerSetIdx  , std::vector<Int>(0,0), "Indices of layer sets used as additional output layer sets")  
@@ -428,9 +402,5 @@
   ("AltOutputLayerFlag",    m_altOutputLayerFlag , std::vector<Bool>(1,0), "Alt output layer flag")
   
-#if H_MV_HLS10_PTL
   ("ProfileTierLevelIdx_%d",  m_profileTierLevelIdx, std::vector<Int>(0), MAX_NUM_LAYERS, "Indices to profile level tier for ols")
-#else
-  ("ProfileLevelTierIdx",   m_profileLevelTierIdx, std::vector<Int>(1,0), "Indices to profile level tier")
-#endif
   // Layer dependencies
   ("DirectRefLayers_%d",    m_directRefLayers    , std::vector<Int>(0,0), MAX_NUM_LAYERS, "LayerIds of direct reference layers")
@@ -446,11 +416,16 @@
   ("OutputBitDepthC",       m_outputBitDepthC,   0, "As per OutputBitDepth but for chroma component. (default:InternalBitDepthC)")
   ("InternalBitDepthC",     m_internalBitDepthC, 0, "As per InternalBitDepth but for chroma component. (default:IntrenalBitDepth)")
-  ("ConformanceMode",       m_conformanceMode,     0, "Window conformance mode (0: no window, 1:automatic padding, 2:padding, 3:conformance")
+  ("ConformanceMode",       m_conformanceWindowMode,  0, "Deprecated alias of ConformanceWindowMode")
+  ("ConformanceWindowMode", m_conformanceWindowMode,  0, "Window conformance mode (0: no window, 1:automatic padding, 2:padding, 3:conformance")
   ("HorizontalPadding,-pdx",m_aiPad[0],            0, "Horizontal source padding for conformance window mode 2")
   ("VerticalPadding,-pdy",  m_aiPad[1],            0, "Vertical source padding for conformance window mode 2")
-  ("ConfLeft",              m_confLeft,            0, "Left offset for window conformance mode 3")
-  ("ConfRight",             m_confRight,           0, "Right offset for window conformance mode 3")
-  ("ConfTop",               m_confTop,             0, "Top offset for window conformance mode 3")
-  ("ConfBottom",            m_confBottom,          0, "Bottom offset for window conformance mode 3")
+  ("ConfLeft",              m_confWinLeft,            0, "Deprecated alias of ConfWinLeft")
+  ("ConfRight",             m_confWinRight,           0, "Deprecated alias of ConfWinRight")
+  ("ConfTop",               m_confWinTop,             0, "Deprecated alias of ConfWinTop")
+  ("ConfBottom",            m_confWinBottom,          0, "Deprecated alias of ConfWinBottom")
+  ("ConfWinLeft",           m_confWinLeft,            0, "Left offset for window conformance mode 3")
+  ("ConfWinRight",          m_confWinRight,           0, "Right offset for window conformance mode 3")
+  ("ConfWinTop",            m_confWinTop,             0, "Top offset for window conformance mode 3")
+  ("ConfWinBottom",         m_confWinBottom,          0, "Bottom offset for window conformance mode 3")
   ("FrameRate,-fr",         m_iFrameRate,          0, "Frame rate")
   ("FrameSkip,-fs",         m_FrameSkip,          0u, "Number of frames to skip at start of input YUV")
@@ -462,5 +437,5 @@
   
   // Profile and level
-#if H_MV_HLS10_PTL
+#if H_MV
   ("Profile", cfg_profiles,   string(""),           "Profile in VpsProfileTierLevel (Indication only)")
   ("Level",   cfg_levels ,    string(""),           "Level indication in VpsProfileTierLevel (Indication only)")
@@ -609,9 +584,15 @@
   ("WeightedPredB,-wpB",          m_useWeightedBiPred,             false,      "Use weighted (bidirectional) prediction in B slices")
   ("Log2ParallelMergeLevel",      m_log2ParallelMergeLevel,     2u,          "Parallel merge estimation region")
-  ("UniformSpacingIdc",           m_iUniformSpacingIdr,            0,          "Indicates if the column and row boundaries are distributed uniformly")
-  ("NumTileColumnsMinus1",        m_iNumColumnsMinus1,             0,          "Number of columns in a picture minus 1")
-  ("ColumnWidthArray",            cfg_ColumnWidth,                 string(""), "Array containing ColumnWidth values in units of LCU")
-  ("NumTileRowsMinus1",           m_iNumRowsMinus1,                0,          "Number of rows in a picture minus 1")
-  ("RowHeightArray",              cfg_RowHeight,                   string(""), "Array containing RowHeight values in units of LCU")
+
+  //deprecated copies of renamed tile parameters
+  ("UniformSpacingIdc",           m_tileUniformSpacingFlag,        false,      "deprecated alias of TileUniformSpacing")
+  ("ColumnWidthArray",            cfgColumnWidth,                  string(""), "deprecated alias of TileColumnWidthArray")
+  ("RowHeightArray",              cfgRowHeight,                    string(""), "deprecated alias of TileRowHeightArray")
+
+  ("TileUniformSpacing",          m_tileUniformSpacingFlag,        false,      "Indicates that tile columns and rows are distributed uniformly")
+  ("NumTileColumnsMinus1",        m_numTileColumnsMinus1,          0,          "Number of tile columns in a picture minus 1")
+  ("NumTileRowsMinus1",           m_numTileRowsMinus1,             0,          "Number of rows in a picture minus 1")
+  ("TileColumnWidthArray",        cfgColumnWidth,                  string(""), "Array containing tile column width values in units of LCU")
+  ("TileRowHeightArray",          cfgRowHeight,                    string(""), "Array containing tile row height values in units of LCU")
   ("LFCrossTileBoundaryFlag",      m_bLFCrossTileBoundaryFlag,             true,          "1: cross-tile-boundary loop filtering. 0:non-cross-tile-boundary loop filtering")
   ("WaveFrontSynchro",            m_iWaveFrontSynchro,             0,          "0: no synchro; 1 synchro with TR; 2 TRR etc")
@@ -650,7 +631,5 @@
 #endif
 #if H_MV
-#if H_MV_HLS10_GEN_FIX
 // A lot of this stuff could should actually be derived by the encoder.
-#endif // H_MV_HLS10_GEN
   // VPS VUI
   ("VpsVuiPresentFlag"           , m_vpsVuiPresentFlag           , false                                           , "VpsVuiPresentFlag           ")
@@ -676,8 +655,6 @@
   ("CtuBasedOffsetEnabledFlag"   , m_ctuBasedOffsetEnabledFlag   , std::vector< Bool >(1,0)  ,MAX_NUM_LAYERS       , "CtuBasedOffsetEnabledFlag    per direct reference for the N-th layer")
   ("MinHorizontalCtuOffsetPlus1" , m_minHorizontalCtuOffsetPlus1 , std::vector< Int  >(1,0)  ,MAX_NUM_LAYERS       , "MinHorizontalCtuOffsetPlus1  per direct reference for the N-th layer")
-#if H_MV_HLS10_VPS_VUI
   ("SingleLayerForNonIrapFlag", m_singleLayerForNonIrapFlag, false                                          , "SingleLayerForNonIrapFlag")
   ("HigherLayerIrapSkipFlag"  , m_higherLayerIrapSkipFlag  , false                                          , "HigherLayerIrapSkipFlag  ")
-#endif
 #endif
 
@@ -699,5 +676,5 @@
   ("ColourDescriptionPresent",       m_colourDescriptionPresentFlag,       false, "Signals whether colour_primaries, transfer_characteristics and matrix_coefficients are present")
   ("ColourPrimaries",                m_colourPrimaries,                        2, "Indicates chromaticity coordinates of the source primaries")
-  ("TransferCharateristics",         m_transferCharacteristics,                2, "Indicates the opto-electronic transfer characteristics of the source")
+  ("TransferCharacteristics",        m_transferCharacteristics,                2, "Indicates the opto-electronic transfer characteristics of the source")
   ("MatrixCoefficients",             m_matrixCoefficients,                     2, "Describes the matrix coefficients used in deriving luma and chroma from RGB primaries")
   ("ChromaLocInfoPresent",           m_chromaLocInfoPresentFlag,           false, "Signals whether chroma_sample_loc_type_top_field and chroma_sample_loc_type_bottom_field are present")
@@ -786,7 +763,5 @@
   ("SEISubBitstreamMaxBitRate",               m_sbPropMaxBitRate,             std::vector< Int  >(1,0)  ,"Specifies maximum bit rate of the i-th sub-bitstream")
 
-#if H_MV_HLS10_GEN_FIX
   ("OutputVpsInfo",                           m_outputVpsInfo,                false                     ,"Output information about the layer dependencies and layer sets")
-#endif
 #endif
 #if H_3D
@@ -814,14 +789,7 @@
 
 #endif //HHI_VSO
-#if MTK_I0099_VPS_EX2
+#if H_3D_QTLPC
   ("LimQtPredFlag",                   m_bLimQtPredFlag          , true          , "Use Predictive Coding with QTL" )
-#endif
-#if !MTK_I0099_VPS_EX2 || MTK_I0099_FIX
-#if H_3D_QTLPC
   ("QTL",                             m_bUseQTL                 , true          , "Use depth Quadtree Limitation" )
-#if !MTK_I0099_VPS_EX2
-  ("PC",                              m_bUsePC                  , true          , "Use Predictive Coding with QTL" )
-#endif
-#endif
 #endif
 #if H_3D_IV_MERGE
@@ -928,24 +896,25 @@
   m_pchdQPFile = cfg_dQPFile.empty() ? NULL : strdup(cfg_dQPFile.c_str());
   
-  Char* pColumnWidth = cfg_ColumnWidth.empty() ? NULL: strdup(cfg_ColumnWidth.c_str());
-  Char* pRowHeight = cfg_RowHeight.empty() ? NULL : strdup(cfg_RowHeight.c_str());
-  if( m_iUniformSpacingIdr == 0 && m_iNumColumnsMinus1 > 0 )
-  {
-    char *columnWidth;
+  Char* pColumnWidth = cfgColumnWidth.empty() ? NULL: strdup(cfgColumnWidth.c_str());
+  Char* pRowHeight = cfgRowHeight.empty() ? NULL : strdup(cfgRowHeight.c_str());
+
+  if( !m_tileUniformSpacingFlag && m_numTileColumnsMinus1 > 0 )
+  {
+    char *str;
     int  i=0;
-    m_pColumnWidth = new UInt[m_iNumColumnsMinus1];
-    columnWidth = strtok(pColumnWidth, " ,-");
-    while(columnWidth!=NULL)
-    {
-      if( i>=m_iNumColumnsMinus1 )
+    m_tileColumnWidth.resize( m_numTileColumnsMinus1 );
+    str = strtok(pColumnWidth, " ,-");
+    while(str!=NULL)
+    {
+      if( i >= m_numTileColumnsMinus1 )
       {
         printf( "The number of columns whose width are defined is larger than the allowed number of columns.\n" );
         exit( EXIT_FAILURE );
       }
-      *( m_pColumnWidth + i ) = atoi( columnWidth );
-      columnWidth = strtok(NULL, " ,-");
+      m_tileColumnWidth[i] = atoi( str );
+      str = strtok(NULL, " ,-");
       i++;
     }
-    if( i<m_iNumColumnsMinus1 )
+    if( i < m_numTileColumnsMinus1 )
     {
       printf( "The width of some columns is not defined.\n" );
@@ -955,25 +924,25 @@
   else
   {
-    m_pColumnWidth = NULL;
-  }
-
-  if( m_iUniformSpacingIdr == 0 && m_iNumRowsMinus1 > 0 )
-  {
-    char *rowHeight;
+    m_tileColumnWidth.clear();
+  }
+
+  if( !m_tileUniformSpacingFlag && m_numTileRowsMinus1 > 0 )
+  {
+    char *str;
     int  i=0;
-    m_pRowHeight = new UInt[m_iNumRowsMinus1];
-    rowHeight = strtok(pRowHeight, " ,-");
-    while(rowHeight!=NULL)
-    {
-      if( i>=m_iNumRowsMinus1 )
+    m_tileRowHeight.resize(m_numTileRowsMinus1);
+    str = strtok(pRowHeight, " ,-");
+    while(str!=NULL)
+    {
+      if( i>=m_numTileRowsMinus1 )
       {
         printf( "The number of rows whose height are defined is larger than the allowed number of rows.\n" );
         exit( EXIT_FAILURE );
       }
-      *( m_pRowHeight + i ) = atoi( rowHeight );
-      rowHeight = strtok(NULL, " ,-");
+      m_tileRowHeight[i] = atoi( str );
+      str = strtok(NULL, " ,-");
       i++;
     }
-    if( i<m_iNumRowsMinus1 )
+    if( i < m_numTileRowsMinus1 )
     {
       printf( "The height of some rows is not defined.\n" );
@@ -983,5 +952,5 @@
   else
   {
-    m_pRowHeight = NULL;
+    m_tileRowHeight.clear();
   }
 #if H_MV
@@ -999,10 +968,10 @@
 
   // TODO:ChromaFmt assumes 4:2:0 below
-  switch (m_conformanceMode)
+  switch (m_conformanceWindowMode)
   {
   case 0:
     {
       // no conformance or padding
-      m_confLeft = m_confRight = m_confTop = m_confBottom = 0;
+      m_confWinLeft = m_confWinRight = m_confWinTop = m_confWinBottom = 0;
       m_aiPad[1] = m_aiPad[0] = 0;
       break;
@@ -1014,15 +983,15 @@
       if (m_iSourceWidth % minCuSize)
       {
-        m_aiPad[0] = m_confRight  = ((m_iSourceWidth / minCuSize) + 1) * minCuSize - m_iSourceWidth;
-        m_iSourceWidth  += m_confRight;
+        m_aiPad[0] = m_confWinRight  = ((m_iSourceWidth / minCuSize) + 1) * minCuSize - m_iSourceWidth;
+        m_iSourceWidth  += m_confWinRight;
       }
       if (m_iSourceHeight % minCuSize)
       {
-        m_aiPad[1] = m_confBottom = ((m_iSourceHeight / minCuSize) + 1) * minCuSize - m_iSourceHeight;
-        m_iSourceHeight += m_confBottom;
+        m_aiPad[1] = m_confWinBottom = ((m_iSourceHeight / minCuSize) + 1) * minCuSize - m_iSourceHeight;
+        m_iSourceHeight += m_confWinBottom;
         if ( m_isField )
         {
-          m_iSourceHeightOrg += m_confBottom << 1;
-          m_aiPad[1] = m_confBottom << 1;
+          m_iSourceHeightOrg += m_confWinBottom << 1;
+          m_aiPad[1] = m_confWinBottom << 1;
         }
       }
@@ -1044,6 +1013,6 @@
       m_iSourceWidth  += m_aiPad[0];
       m_iSourceHeight += m_aiPad[1];
-      m_confRight  = m_aiPad[0];
-      m_confBottom = m_aiPad[1];
+      m_confWinRight  = m_aiPad[0];
+      m_confWinBottom = m_aiPad[1];
       break;
     }
@@ -1051,5 +1020,5 @@
     {
       // conformance
-      if ((m_confLeft == 0) && (m_confRight == 0) && (m_confTop == 0) && (m_confBottom == 0))
+      if ((m_confWinLeft == 0) && (m_confWinRight == 0) && (m_confWinTop == 0) && (m_confWinBottom == 0))
       {
         fprintf(stderr, "Warning: Conformance window enabled, but all conformance window parameters set to zero\n");
@@ -1082,7 +1051,5 @@
   }
   m_iNumberOfViews = (Int) uniqueViewOrderIndices.size(); 
-#if H_MV_HLS10_AUX
   xResizeVector( m_auxId );
-#endif
 
 #if H_3D
@@ -1118,9 +1085,5 @@
   xResizeVector( m_wppInUseFlag ); 
 
-#if H_MV_HLS10_ADD_LAYERSETS
   for (Int olsIdx = 0; olsIdx < m_vpsNumLayerSets + m_numAddLayerSets + (Int) m_outputLayerSetIdx.size(); olsIdx++)
-#else
-  for (Int olsIdx = 0; olsIdx < m_vpsNumLayerSets + (Int) m_outputLayerSetIdx.size(); olsIdx++)
-#endif
   {    
     m_altOutputLayerFlag.push_back( false );      
@@ -1234,5 +1197,4 @@
 
 #if H_MV
-#if H_MV_HLS10_PTL
   // parse PTL
   Bool anyEmpty = false; 
@@ -1281,5 +1243,4 @@
   xReadStrToEnum( cfg_levels,   m_level     ); 
   xReadStrToEnum( cfg_tiers ,   m_levelTier ); 
-#endif
 #endif
 #if H_3D
@@ -1399,5 +1360,5 @@
 
 
-#if !H_MV_HLS10_PTL
+#if !H_MV
   if( m_profile==Profile::NONE )
   {
@@ -1431,9 +1392,5 @@
   xConfirmPara( m_scalabilityMask != 2 && m_scalabilityMask != 3, "Scalability Mask must be equal to 2 or 3. ");
 #else
-#if H_MV_HLS10_AUX
   xConfirmPara( m_scalabilityMask != 2 && m_scalabilityMask != 8 && m_scalabilityMask != 10, "Scalability Mask must be equal to 2, 8 or 10");
-#else
-  xConfirmPara( m_scalabilityMask != 2 , "Scalability Mask must be equal to 2. ");
-#endif
 #endif
 
@@ -1446,5 +1403,4 @@
 
   m_dimIds.push_back( m_viewOrderIndex );   
-#if H_MV_HLS10_AUX
   for (Int i = 0; i < m_auxId.size(); i++)
   {
@@ -1455,5 +1411,4 @@
     m_dimIds.push_back ( m_auxId );
   }
-#endif  
   xConfirmPara(  m_dimensionIdLen.size() < m_dimIds.size(), "DimensionIdLen must be given for all dimensions. "   );
   Int dimBitOffset[MAX_NUM_SCALABILITY_TYPES+1]; 
@@ -1540,9 +1495,5 @@
     for ( Int i = 0; i < m_layerIdsInSets[lsIdx].size(); i++ )
     {
-#if FIX_TICKET_61
       xConfirmPara( m_layerIdsInSets[lsIdx][i] < 0 || m_layerIdsInSets[lsIdx][i] >= MAX_NUM_LAYER_IDS, "LayerIdsInSet must be greater than 0 and less than MAX_NUM_LAYER_IDS" ); 
-#else
-      xConfirmPara( m_layerIdsInSets[lsIdx][i] < 0 || m_layerIdsInSets[lsIdx].size() >= MAX_NUM_LAYER_IDS, "LayerIdsInSet must be greater than and less than MAX_NUM_LAYER_IDS" ); 
-#endif
     }
   }
@@ -1553,24 +1504,5 @@
   {   
     Int refLayerSetIdx = m_outputLayerSetIdx[ lsIdx ]; 
-#if H_MV_HLS10_ADD_LAYERSETS
     xConfirmPara(  refLayerSetIdx < 0 || refLayerSetIdx >= m_vpsNumLayerSets + m_numAddLayerSets, "Output layer set idx must be greater or equal to 0 and less than the VpsNumLayerSets plus NumAddLayerSets." );
-#else
-    xConfirmPara(  refLayerSetIdx < 0 || refLayerSetIdx >= m_vpsNumLayerSets, "Output layer set idx must be greater or equal to 0 and less than the VpsNumLayerSets." );
-#endif
-#if !H_MV_HLS10_ADD_LAYERSETS
-    for (Int i = 0; i < m_layerIdsInAddOutputLayerSet[ lsIdx ].size(); i++)
-    {
-      Bool isAlsoInLayerSet = false; 
-      for (Int j = 0; j < m_layerIdsInSets[ refLayerSetIdx ].size(); j++ )
-      {
-        if ( m_layerIdsInSets[ refLayerSetIdx ][ j ] == m_layerIdsInAddOutputLayerSet[ lsIdx ][ i ] )
-        {
-          isAlsoInLayerSet = true; 
-          break; 
-        }        
-      }
-      xConfirmPara( !isAlsoInLayerSet, "All output layers of a output layer set be included in corresponding layer set.");
-    }
-#endif
   }
 
@@ -1584,12 +1516,8 @@
       anyDefaultOutputFlag = anyDefaultOutputFlag || ( m_layerIdsInDefOutputLayerSet[lsIdx].size() != 0 );
     }    
-#if H_MV_HLS10_ADD_LAYERSETS
     if ( anyDefaultOutputFlag )
     {    
       printf( "\nWarning: Ignoring LayerIdsInDefOutputLayerSet parameters, since defaultTargetOuputLayerIdc is not equal 2.\n" );    
     }
-#else
-    printf( "\nWarning: Ignoring LayerIdsInDefOutputLayerSet parameters, since defaultTargetOuputLayerIdc is not equal 2.\n" );    
-#endif
   }
   else  
@@ -1613,12 +1541,7 @@
   }
 
-#if H_MV_HLS10_ADD_LAYERSETS
   xConfirmPara( m_altOutputLayerFlag.size() < m_vpsNumLayerSets + m_numAddLayerSets + m_outputLayerSetIdx.size(), "The number of alt output layer flags must be equal to the number of layer set additional output layer sets plus the number of output layer set indices" );
-#else
-  xConfirmPara( m_altOutputLayerFlag.size() < m_vpsNumLayerSets + m_outputLayerSetIdx.size(), "The number of Profile Level Tier indices must be equal to the number of layer set plus the number of output layer set indices" );
-#endif
 
   // PTL
-#if H_MV_HLS10_PTL
     xConfirmPara( ( m_profile.size() != m_inblFlag.size() || m_profile.size() != m_level.size()  ||  m_profile.size() != m_levelTier.size() ), "The number of Profiles, Levels, Tiers and InblFlags must be equal." ); 
 
@@ -1633,7 +1556,4 @@
       }
     }
-#else
-    xConfirmPara( m_profileLevelTierIdx.size() < m_vpsNumLayerSets + m_outputLayerSetIdx.size(), "The number of Profile Level Tier indices must be equal to the number of layer set plus the number of output layer set indices" );
-#endif
 
     // Layer Dependencies  
@@ -1768,5 +1688,5 @@
   }
   
-  Bool tileFlag = (m_iNumColumnsMinus1 > 0 || m_iNumRowsMinus1 > 0 );
+  Bool tileFlag = (m_numTileColumnsMinus1 > 0 || m_numTileRowsMinus1 > 0 );
   xConfirmPara( tileFlag && m_iWaveFrontSynchro,            "Tile and Wavefront can not be applied together");
 
@@ -1778,8 +1698,18 @@
   xConfirmPara( m_aiPad[1] % TComSPS::getWinUnitY(CHROMA_420) != 0, "Vertical padding must be an integer multiple of the specified chroma subsampling");
 
-  xConfirmPara( m_confLeft   % TComSPS::getWinUnitX(CHROMA_420) != 0, "Left conformance window offset must be an integer multiple of the specified chroma subsampling");
-  xConfirmPara( m_confRight  % TComSPS::getWinUnitX(CHROMA_420) != 0, "Right conformance window offset must be an integer multiple of the specified chroma subsampling");
-  xConfirmPara( m_confTop    % TComSPS::getWinUnitY(CHROMA_420) != 0, "Top conformance window offset must be an integer multiple of the specified chroma subsampling");
-  xConfirmPara( m_confBottom % TComSPS::getWinUnitY(CHROMA_420) != 0, "Bottom conformance window offset must be an integer multiple of the specified chroma subsampling");
+  xConfirmPara( m_confWinLeft   % TComSPS::getWinUnitX(CHROMA_420) != 0, "Left conformance window offset must be an integer multiple of the specified chroma subsampling");
+  xConfirmPara( m_confWinRight  % TComSPS::getWinUnitX(CHROMA_420) != 0, "Right conformance window offset must be an integer multiple of the specified chroma subsampling");
+  xConfirmPara( m_confWinTop    % TComSPS::getWinUnitY(CHROMA_420) != 0, "Top conformance window offset must be an integer multiple of the specified chroma subsampling");
+  xConfirmPara( m_confWinBottom % TComSPS::getWinUnitY(CHROMA_420) != 0, "Bottom conformance window offset must be an integer multiple of the specified chroma subsampling");
+
+  xConfirmPara( m_defaultDisplayWindowFlag && !m_vuiParametersPresentFlag, "VUI needs to be enabled for default display window");
+
+  if (m_defaultDisplayWindowFlag)
+  {
+    xConfirmPara( m_defDispWinLeftOffset   % TComSPS::getWinUnitX(CHROMA_420) != 0, "Left default display window offset must be an integer multiple of the specified chroma subsampling");
+    xConfirmPara( m_defDispWinRightOffset  % TComSPS::getWinUnitX(CHROMA_420) != 0, "Right default display window offset must be an integer multiple of the specified chroma subsampling");
+    xConfirmPara( m_defDispWinTopOffset    % TComSPS::getWinUnitY(CHROMA_420) != 0, "Top default display window offset must be an integer multiple of the specified chroma subsampling");
+    xConfirmPara( m_defDispWinBottomOffset % TComSPS::getWinUnitY(CHROMA_420) != 0, "Bottom default display window offset must be an integer multiple of the specified chroma subsampling");
+  }
 
 #if H_3D
@@ -2301,11 +2231,11 @@
       Int widthInCU = (m_iSourceWidth % m_uiMaxCUWidth) ? m_iSourceWidth/m_uiMaxCUWidth + 1: m_iSourceWidth/m_uiMaxCUWidth;
       Int heightInCU = (m_iSourceHeight % m_uiMaxCUHeight) ? m_iSourceHeight/m_uiMaxCUHeight + 1: m_iSourceHeight/m_uiMaxCUHeight;
-      if(m_iUniformSpacingIdr)
-      {
-        maxTileWidth = m_uiMaxCUWidth*((widthInCU+m_iNumColumnsMinus1)/(m_iNumColumnsMinus1+1));
-        maxTileHeight = m_uiMaxCUHeight*((heightInCU+m_iNumRowsMinus1)/(m_iNumRowsMinus1+1));
+      if(m_tileUniformSpacingFlag)
+      {
+        maxTileWidth = m_uiMaxCUWidth*((widthInCU+m_numTileColumnsMinus1)/(m_numTileColumnsMinus1+1));
+        maxTileHeight = m_uiMaxCUHeight*((heightInCU+m_numTileRowsMinus1)/(m_numTileRowsMinus1+1));
         // if only the last tile-row is one treeblock higher than the others 
         // the maxTileHeight becomes smaller if the last row of treeblocks has lower height than the others
-        if(!((heightInCU-1)%(m_iNumRowsMinus1+1)))
+        if(!((heightInCU-1)%(m_numTileRowsMinus1+1)))
         {
           maxTileHeight = maxTileHeight - m_uiMaxCUHeight + (m_iSourceHeight % m_uiMaxCUHeight);
@@ -2313,5 +2243,5 @@
         // if only the last tile-column is one treeblock wider than the others 
         // the maxTileWidth becomes smaller if the last column of treeblocks has lower width than the others   
-        if(!((widthInCU-1)%(m_iNumColumnsMinus1+1)))
+        if(!((widthInCU-1)%(m_numTileColumnsMinus1+1)))
         {
           maxTileWidth = maxTileWidth - m_uiMaxCUWidth + (m_iSourceWidth % m_uiMaxCUWidth);
@@ -2320,5 +2250,5 @@
       else // not uniform spacing
       {
-        if(m_iNumColumnsMinus1<1)
+        if(m_numTileColumnsMinus1<1)
         {
           maxTileWidth = m_iSourceWidth;
@@ -2327,12 +2257,12 @@
         {
           Int accColumnWidth = 0;
-          for(Int col=0; col<(m_iNumColumnsMinus1); col++)
+          for(Int col=0; col<(m_numTileColumnsMinus1); col++)
           {
-            maxTileWidth = m_pColumnWidth[col]>maxTileWidth ? m_pColumnWidth[col]:maxTileWidth;
-            accColumnWidth += m_pColumnWidth[col];
+            maxTileWidth = m_tileColumnWidth[col]>maxTileWidth ? m_tileColumnWidth[col]:maxTileWidth;
+            accColumnWidth += m_tileColumnWidth[col];
           }
           maxTileWidth = (widthInCU-accColumnWidth)>maxTileWidth ? m_uiMaxCUWidth*(widthInCU-accColumnWidth):m_uiMaxCUWidth*maxTileWidth;
         }
-        if(m_iNumRowsMinus1<1)
+        if(m_numTileRowsMinus1<1)
         {
           maxTileHeight = m_iSourceHeight;
@@ -2341,8 +2271,8 @@
         {
           Int accRowHeight = 0;
-          for(Int row=0; row<(m_iNumRowsMinus1); row++)
+          for(Int row=0; row<(m_numTileRowsMinus1); row++)
           {
-            maxTileHeight = m_pRowHeight[row]>maxTileHeight ? m_pRowHeight[row]:maxTileHeight;
-            accRowHeight += m_pRowHeight[row];
+            maxTileHeight = m_tileRowHeight[row]>maxTileHeight ? m_tileRowHeight[row]:maxTileHeight;
+            accRowHeight += m_tileRowHeight[row];
           }
           maxTileHeight = (heightInCU-accRowHeight)>maxTileHeight ? m_uiMaxCUHeight*(heightInCU-accRowHeight):m_uiMaxCUHeight*maxTileHeight;
@@ -2499,5 +2429,4 @@
 #endif
 #if H_MV
-#if H_MV_HLS10_GEN_FIX
   xPrintParaVector( "NuhLayerId"     , m_layerIdInNuh ); 
   if ( m_targetEncLayerIdList.size() > 0)
@@ -2505,10 +2434,7 @@
     xPrintParaVector( "TargetEncLayerIdList"     , m_targetEncLayerIdList ); 
   }
-#endif
   xPrintParaVector( "ViewIdVal"     , m_viewId ); 
   xPrintParaVector( "ViewOrderIndex", m_viewOrderIndex ); 
-#if H_MV_HLS10_AUX
   xPrintParaVector( "AuxId", m_auxId );
-#endif
 #endif
 #if H_3D
@@ -2521,5 +2447,5 @@
   xPrintParaVector( "SAO"              , m_bUseSAO            ); 
 #endif
-  printf("Real     Format              : %dx%d %dHz\n", m_iSourceWidth - m_confLeft - m_confRight, m_iSourceHeight - m_confTop - m_confBottom, m_iFrameRate );
+  printf("Real     Format              : %dx%d %dHz\n", m_iSourceWidth - m_confWinLeft - m_confWinRight, m_iSourceHeight - m_confWinTop - m_confWinBottom, m_iFrameRate );
   printf("Internal Format              : %dx%d %dHz\n", m_iSourceWidth, m_iSourceHeight, m_iFrameRate );
   if (m_isField)
@@ -2676,14 +2602,7 @@
   printf("WVSO:%d ", m_bUseWVSO );  
 #endif
-#if MTK_I0099_VPS_EX2
+#if H_3D_QTLPC
   printf("LimQtPredFlag:%d ", m_bLimQtPredFlag ? 1 : 0);
-#endif
-#if !MTK_I0099_VPS_EX2 || MTK_I0099_FIX
-#if H_3D_QTLPC
   printf("QTL:%d ", m_bUseQTL);
-#if !MTK_I0099_VPS_EX2
-  printf("PC:%d " , m_bUsePC );
-#endif
-#endif
 #endif
 #if H_3D_IV_MERGE
@@ -2712,11 +2631,9 @@
 #if H_3D_DIM
   printf("DMM:%d ", m_useDMM );
-#if SEPARATE_FLAG_I0085
   printf("IVP:%d ", m_useIVP );
-#endif
   printf("SDC:%d ", m_useSDC );
   printf("DLT:%d ", m_useDLT );
 #endif
-#if MTK_SINGLE_DEPTH_MODE_I0095
+#if H_3D
   printf("SingleDepthMode:%d ",    m_useSingleDepthMode);
 #endif
Index: trunk/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncCfg.h	(revision 1066)
+++ trunk/source/App/TAppEncoder/TAppEncCfg.h	(revision 1084)
@@ -43,4 +43,5 @@
 #include "TLibEncoder/TEncCfg.h"
 #include <sstream>
+#include <vector>
 #if H_3D
 #include "TAppCommon/TAppComCamPara.h"
@@ -78,13 +79,9 @@
   std::vector<Int>       m_viewId;                            ///< view id
   std::vector<Int>       m_viewOrderIndex;                    ///< view order index  
-#if H_MV_HLS10_AUX
   std::vector<Int>       m_auxId;                             ///< auxiliary id
-#endif
 #if H_3D
   std::vector<Int>       m_depthFlag;                         ///< depth flag
 #endif
-#if H_MV_HLS10_GEN_FIX
   std::vector<Int>       m_targetEncLayerIdList;              ///< layer Ids in Nuh to be encoded
-#endif
   std::vector<Int>       m_layerIdInNuh;                      ///< layer Id in Nuh for each layer 
   Bool                   m_splittingFlag;                     ///< Splitting Flag
@@ -95,17 +92,11 @@
   Int                    m_vpsNumLayerSets;                   ///< Number of layer sets
   std::vector< std::vector<Int> > m_layerIdsInSets;           ///< LayerIds in vps of layer set 
-#if H_MV_HLS10_ADD_LAYERSETS
   Int                    m_numAddLayerSets;                    ///< Number of additional layer sets
   std::vector< std::vector<Int> > m_highestLayerIdxPlus1;      ///< HighestLayerIdxPlus1 for each additional layer set and each independent layer (value with index 0 will be ignored)
-#endif
   Int                    m_defaultOutputLayerIdc;             ///< Specifies output layers of layer sets, 0: output all layers, 1: output highest layers, 2: specified by LayerIdsInDefOuputLayerSet
   std::vector<Int>       m_outputLayerSetIdx;                 ///< Indices of layer sets used as additional output layer sets  
   std::vector< std::vector<Int> > m_layerIdsInAddOutputLayerSet; ///< LayerIds in vps of additional output layers
   std::vector< std::vector<Int> > m_layerIdsInDefOutputLayerSet; ///< Indices in vps of output layers in layer sets
-#if H_MV_HLS10_ADD_LAYERSETS
   std::vector< std::vector< Int > > m_profileTierLevelIdx;      ///< Indices of of profile, per layer in layer set
-#else
-  std::vector<Int>       m_profileLevelTierIdx;               ///< Indices of of profile level tier
-#endif
   std::vector<Bool>      m_altOutputLayerFlag;                ///< Alt output layer flag
 
@@ -138,8 +129,6 @@
   std::vector< std::vector<Bool > > m_ctuBasedOffsetEnabledFlag;
   std::vector< std::vector<Int  > > m_minHorizontalCtuOffsetPlus1;
-#if H_MV_HLS10_VPS_VUI
   Bool m_singleLayerForNonIrapFlag;
   Bool m_higherLayerIrapSkipFlag;
-#endif // H_MV_HLS10_VPS_VUI
 
 
@@ -151,5 +140,5 @@
 #endif
 #endif
-#if MTK_I0099_VPS_EX2
+#if H_3D_QTLPC
   Bool                   m_bLimQtPredFlag;
 #endif
@@ -184,14 +173,13 @@
   bool      m_isTopFieldFirst;
   
-  Int       m_conformanceMode;
-  Int       m_confLeft;
-  Int       m_confRight;
-  Int       m_confTop;
-  Int       m_confBottom;
+  Int       m_conformanceWindowMode;
+  Int       m_confWinLeft;
+  Int       m_confWinRight;
+  Int       m_confWinTop;
+  Int       m_confWinBottom;
   Int       m_framesToBeEncoded;                              ///< number of encoded frames
   Int       m_aiPad[2];                                       ///< number of padded pixels for width and height
   
   // profile/level
-#if H_MV_HLS10_PTL
 #if H_MV
   std::vector< Profile::Name > m_profile;
@@ -203,5 +191,4 @@
   Level::Tier   m_levelTier;
   Level::Name   m_level;
-#endif
 #endif
 
@@ -338,11 +325,9 @@
   Bool      m_bLFCrossSliceBoundaryFlag;  ///< 1: filter across slice boundaries 0: do not filter across slice boundaries
   Bool      m_bLFCrossTileBoundaryFlag;   ///< 1: filter across tile boundaries  0: do not filter across tile boundaries
-  Int       m_iUniformSpacingIdr;
-  Int       m_iNumColumnsMinus1;
-  Char*     m_pchColumnWidth;
-  Int       m_iNumRowsMinus1;
-  Char*     m_pchRowHeight;
-  UInt*     m_pColumnWidth;
-  UInt*     m_pRowHeight;
+  Bool      m_tileUniformSpacingFlag;
+  Int       m_numTileColumnsMinus1;
+  Int       m_numTileRowsMinus1;
+  std::vector<Int> m_tileColumnWidth;
+  std::vector<Int> m_tileRowHeight;
   Int       m_iWaveFrontSynchro; //< 0: no WPP. >= 1: WPP is enabled, the "Top right" from which inheritance occurs is this LCU offset in the line above the current.
   Int       m_iWaveFrontSubstreams; //< If iWaveFrontSynchro, this is the number of substreams per frame (dependent tiles) or per tile (independent tiles).
@@ -468,7 +453,5 @@
   std::vector<Int>  m_sbPropAvgBitRate;
   std::vector<Int>  m_sbPropMaxBitRate;
-#if H_MV_HLS10_GEN_FIX
   Bool              m_outputVpsInfo;
-#endif
 #endif
 #if H_3D
@@ -504,20 +487,13 @@
 #if H_3D_DIM
   Bool      m_useDMM;                                        ///< flag for using DMM
-#if SEPARATE_FLAG_I0085
   Bool      m_useIVP;
-#endif
   Bool      m_useSDC;                                        ///< flag for using SDC
   Bool      m_useDLT;                                        ///< flag for using DLT
 #endif
-#if MTK_SINGLE_DEPTH_MODE_I0095
+#if H_3D_SINGLE_DEPTH
   Bool     m_useSingleDepthMode;                          ///< flag for using single depth mode
 #endif
-#if !MTK_I0099_VPS_EX2 || MTK_I0099_FIX
 #if H_3D_QTLPC
   Bool      m_bUseQTL;                                        ///< flag for using depth QuadTree Limitation
-#if !MTK_I0099_VPS_EX2
-  Bool      m_bUsePC;                                         ///< flag for using Predictive Coding with QTL
-#endif
-#endif
 #endif
 #if H_3D_INTER_SDC
@@ -538,5 +514,4 @@
 #if H_MV
 
-#if H_MV_HLS10_PTL
   template<typename T>
   Void xReadStrToEnum(string in, std::vector<T> &val)
@@ -559,5 +534,4 @@
     delete[] cString;
   }
-#endif
 
 
Index: trunk/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1066)
+++ trunk/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1084)
@@ -144,5 +144,4 @@
   xDeriveDltArray          ( vps, dlt );
 #endif
-#if H_MV_HLS10_GEN_FIX
   if ( m_targetEncLayerIdList.size() == 0 )
   {
@@ -166,17 +165,12 @@
     }
   }
-#endif
-
-#if H_MV_HLS10_ADD_LAYERSETS
+
   if ( m_outputVpsInfo )
   {  
-#if H_MV_HLS10_AUX
     vps.printScalabilityId();
-#endif
     vps.printLayerDependencies();
     vps.printLayerSets(); 
     vps.printPTL(); 
   }
-#endif
 
   for(Int layerIdInVps = 0; layerIdInVps < m_numberOfLayers; layerIdInVps++)
@@ -233,28 +227,17 @@
 #if H_3D_DIM
     m_cTEncTop.setUseDMM                       ( isDepth ? m_useDMM               : false );
-#if SEPARATE_FLAG_I0085
-#if LGE_FCO_I0116
+#if H_3D_FCO
     m_cTEncTop.setUseIVP                       ( vps.getViewIndex( layerId ) == 0 && isDepth ? m_useIVP               : false );
 #else
     m_cTEncTop.setUseIVP                       ( isDepth ? m_useIVP               : false );
-#endif
 #endif
     m_cTEncTop.setUseSDC                       ( isDepth ? m_useSDC               : false );
     m_cTEncTop.setUseDLT                       ( isDepth ? m_useDLT               : false );
 #endif
-#if MTK_SINGLE_DEPTH_MODE_I0095
+#if H_3D_SINGLE_DEPTH
     m_cTEncTop.setUseSingleDepthMode           ( isDepth ? m_useSingleDepthMode   : false );
 #endif
-#if !MTK_I0099_VPS_EX2 || MTK_I0099_FIX
 #if H_3D_QTLPC
-#if LGE_FCO_I0116
-    m_cTEncTop.setUseQTL                       ( vps.getViewIndex( layerId ) == 0 && isDepth ? m_bUseQTL               : false );
-#else
     m_cTEncTop.setUseQTL                       ( isDepth ? m_bUseQTL               : false );
-#endif
-#if !MTK_I0099_VPS_EX2    
-    m_cTEncTop.setUsePC                        ( isDepth ? m_bUsePC                : false );
-#endif
-#endif
 #endif
     //====== Depth Inter SDC =========
@@ -266,5 +249,5 @@
 #endif
 #if H_3D_IV_MERGE
-#if LGE_FCO_I0116
+#if H_3D_FCO
     m_cTEncTop.setUseMPI                       ( vps.getViewIndex( layerId ) == 0 && isDepth ? m_bMPIFlag    : false );
 #else
@@ -298,5 +281,5 @@
   m_cTEncTop.setSourceWidth                  ( m_iSourceWidth );
   m_cTEncTop.setSourceHeight                 ( m_iSourceHeight );
-  m_cTEncTop.setConformanceWindow            ( m_confLeft, m_confRight, m_confTop, m_confBottom );
+  m_cTEncTop.setConformanceWindow            ( m_confWinLeft, m_confWinRight, m_confWinTop, m_confWinBottom );
   m_cTEncTop.setFramesToBeEncoded            ( m_framesToBeEncoded );
   
@@ -506,14 +489,14 @@
   }
 #endif
-  m_cTEncTop.setUniformSpacingIdr          ( m_iUniformSpacingIdr );
-  m_cTEncTop.setNumColumnsMinus1           ( m_iNumColumnsMinus1 );
-  m_cTEncTop.setNumRowsMinus1              ( m_iNumRowsMinus1 );
-  if(m_iUniformSpacingIdr==0)
-  {
-    m_cTEncTop.setColumnWidth              ( m_pColumnWidth );
-    m_cTEncTop.setRowHeight                ( m_pRowHeight );
+  m_cTEncTop.setTileUniformSpacingFlag     ( m_tileUniformSpacingFlag );
+  m_cTEncTop.setNumColumnsMinus1           ( m_numTileColumnsMinus1 );
+  m_cTEncTop.setNumRowsMinus1              ( m_numTileRowsMinus1 );
+  if(!m_tileUniformSpacingFlag)
+  {
+    m_cTEncTop.setColumnWidth              ( m_tileColumnWidth );
+    m_cTEncTop.setRowHeight                ( m_tileRowHeight );
   }
   m_cTEncTop.xCheckGSParameters();
-  Int uiTilesCount          = (m_iNumRowsMinus1+1) * (m_iNumColumnsMinus1+1);
+  Int uiTilesCount          = (m_numTileRowsMinus1+1) * (m_numTileColumnsMinus1+1);
   if(uiTilesCount == 1)
   {
@@ -620,4 +603,5 @@
   m_cTEncTop.setActiveParameterSetsSEIEnabled ( m_activeParameterSetsSEIEnabled ); 
   m_cTEncTop.setVuiParametersPresentFlag( m_vuiParametersPresentFlag );
+  m_cTEncTop.setAspectRatioInfoPresentFlag( m_aspectRatioInfoPresentFlag);
   m_cTEncTop.setAspectRatioIdc( m_aspectRatioIdc );
   m_cTEncTop.setSarWidth( m_sarWidth );
@@ -840,18 +824,12 @@
   
 #if H_MV
-#if H_MV_HLS10_GEN_FIX
   while ( (m_targetEncLayerIdList.size() != 0 ) && !allEos )
-#else
-  while ( !allEos )
-#endif
   {
     for(Int layer=0; layer < m_numberOfLayers; layer++ )
     {
-#if H_MV_HLS10_GEN_FIX
       if (!xLayerIdInTargetEncLayerIdList( m_vps->getLayerIdInNuh( layer ) ))
       {
         continue; 
       }
-#endif
 
       Int frmCnt = 0;
@@ -894,10 +872,8 @@
       for(Int layer=0; layer < m_numberOfLayers; layer++ )
       {
-#if H_MV_HLS10_GEN_FIX
         if (!xLayerIdInTargetEncLayerIdList( m_vps->getLayerIdInNuh( layer ) ))
         {
           continue; 
         }
-#endif
 
 #if H_3D_VSO        
@@ -927,10 +903,8 @@
   for(Int layer=0; layer < m_numberOfLayers; layer++ )
   {
-#if H_MV_HLS10_GEN_FIX
     if (!xLayerIdInTargetEncLayerIdList( m_vps->getLayerIdInNuh( layer ) ))
     {
       continue; 
     }
-#endif
     m_acTEncTopList[layer]->printSummary( m_acTEncTopList[layer]->getNumAllPicCoded(), m_isField );
   }
@@ -1114,5 +1088,9 @@
       if (m_pchReconFileList[layerId])
       {
+#if H_MV_ALIGN_HM_15
+        m_acTVideoIOYuvReconFileList[layerId]->write( pcPicYuvRecTop, pcPicYuvRecBottom, m_confWinLeft, m_confWinRight, m_confWinTop, m_confWinBottom, m_isTopFieldFirst );
+#else
         m_acTVideoIOYuvReconFileList[layerId]->write( pcPicYuvRecTop, pcPicYuvRecBottom, m_confLeft, m_confRight, m_confTop, m_confBottom, m_isTopFieldFirst );
+#endif
       }
     }
@@ -1131,5 +1109,5 @@
       if (m_pchReconFile)
       {
-        m_cTVideoIOYuvReconFile.write( pcPicYuvRecTop, pcPicYuvRecBottom, m_confLeft, m_confRight, m_confTop, m_confBottom, m_isTopFieldFirst );
+        m_cTVideoIOYuvReconFile.write( pcPicYuvRecTop, pcPicYuvRecBottom, m_confWinLeft, m_confWinRight, m_confWinTop, m_confWinBottom, m_isTopFieldFirst );
       }
 
@@ -1167,5 +1145,9 @@
       if (m_pchReconFileList[layerId])
       {
+#if H_MV_ALIGN_HM_15
+        m_acTVideoIOYuvReconFileList[layerId]->write( pcPicYuvRec, m_confWinLeft, m_confWinRight, m_confWinTop, m_confWinBottom );
+#else
         m_acTVideoIOYuvReconFileList[layerId]->write( pcPicYuvRec, m_confLeft, m_confRight, m_confTop, m_confBottom );
+#endif
       }    
     }
@@ -1183,5 +1165,5 @@
       if (m_pchReconFile)
       {
-        m_cTVideoIOYuvReconFile.write( pcPicYuvRec, m_confLeft, m_confRight, m_confTop, m_confBottom );
+        m_cTVideoIOYuvReconFile.write( pcPicYuvRec, m_confWinLeft, m_confWinRight, m_confWinTop, m_confWinBottom );
       }
 
@@ -1396,7 +1378,4 @@
   // Max sub layers, + presence flag
   Bool subLayersMaxMinus1PresentFlag = false; 
-#if !H_MV_FIX_SUB_LAYERS_MAX_MINUS1
-  Int  subLayersMaxMinus1 = -1; 
-#endif
   for (Int curLayerIdInVps = 0; curLayerIdInVps < m_numberOfLayers; curLayerIdInVps++ )
   {    
@@ -1409,16 +1388,5 @@
 
     vps.setSubLayersVpsMaxMinus1( curLayerIdInVps, curSubLayersMaxMinus1 ); 
-#if !H_MV_FIX_SUB_LAYERS_MAX_MINUS1
-    if ( subLayersMaxMinus1 == -1 )
-    {
-      subLayersMaxMinus1 = curSubLayersMaxMinus1; 
-    }
-    else
-    {
-      subLayersMaxMinus1PresentFlag = subLayersMaxMinus1PresentFlag || ( curSubLayersMaxMinus1 != subLayersMaxMinus1 ); 
-    }
-#else
     subLayersMaxMinus1PresentFlag = subLayersMaxMinus1PresentFlag || ( curSubLayersMaxMinus1 != vps.getMaxSubLayersMinus1() );
-#endif
   }
 
@@ -1433,26 +1401,15 @@
     {
       Int maxTid = -1; 
-#if H_MV_FIX_LOOP_GOPSIZE
       for( Int i = 0; i < ( getGOPSize() + 1); i++ ) 
       {        
         GOPEntry geCur =  m_GOPListMvc[curLayerIdInVps][( i < getGOPSize()  ? i : MAX_GOP )];
         GOPEntry geRef =  m_GOPListMvc[refLayerIdInVps][( i < getGOPSize()  ? i : MAX_GOP )];
-#else
-      for( Int i = 0; i < getGOPSize(); i++ ) 
-      {        
-        GOPEntry geCur =  m_GOPListMvc[curLayerIdInVps][i];
-        GOPEntry geRef =  m_GOPListMvc[refLayerIdInVps][i];     
-#endif
         for (Int j = 0; j < geCur.m_numActiveRefLayerPics; j++)
         {        
           if ( m_directRefLayers[ curLayerIdInVps ][ geCur.m_interLayerPredLayerIdc[ j ]] == refLayerIdInVps )
           {
-#if H_MV_FIX_LOOP_GOPSIZE
             Bool refAlwaysIntra = ( i == getGOPSize() ) && ( m_iIntraPeriod[ curLayerIdInVps ] % m_iIntraPeriod[ refLayerIdInVps ] == 0 );
             Bool refLayerZero   = ( i == getGOPSize() ) && ( refLayerIdInVps == 0 );
             maxTid = std::max( maxTid, ( refAlwaysIntra || refLayerZero ) ? 0 : geRef.m_temporalId ); 
-#else
-            maxTid = std::max( maxTid, geRef.m_temporalId ); 
-#endif
           }
         }
@@ -1580,5 +1537,4 @@
 Void TAppEncTop::xSetProfileTierLevel( TComVPS& vps )
 { 
-#if H_MV_HLS10_PTL
 
   // SET PTL
@@ -1598,16 +1554,6 @@
       m_nonPackedConstraintFlag, m_frameOnlyConstraintFlag,  m_inblFlag[ptlIdx] );     
   }  
-#else
-  const Int vpsNumProfileTierLevelMinus1 = 0; //TBD
-  vps.setVpsNumProfileTierLevelMinus1( vpsNumProfileTierLevelMinus1 ); 
-  
-  for (Int i = 0; i <= vps.getVpsNumProfileTierLevelMinus1(); i++ )
-  {
-    vps.setVpsProfilePresentFlag( i, true ); 
-  }
-#endif
-}
-
-#if H_MV_HLS10_PTL
+}
+
 Void TAppEncTop::xSetProfileTierLevel(TComVPS& vps, Int profileTierLevelIdx, Int subLayer, Profile::Name profile, Level::Name level, Level::Tier tier, Bool progressiveSourceFlag, Bool interlacedSourceFlag, Bool nonPackedConstraintFlag, Bool frameOnlyConstraintFlag, Bool inbldFlag)
 {
@@ -1631,7 +1577,5 @@
   ptl->setLevelIdc  ( level   );
   ptl->setProfileCompatibilityFlag( profile, true );
-#if H_MV_HLS10_PTL_INBL_FIX
   ptl->setInbldFlag( inbldFlag );
-#endif
 
   switch ( profile )
@@ -1659,5 +1603,4 @@
   }
 }
-#endif
 
 Void TAppEncTop::xSetRepFormat( TComVPS& vps )
@@ -1677,6 +1620,11 @@
   //repFormat->setSeparateColourPlaneVpsFlag( );
 
-#if H_MV_HLS10_GEN_VSP_CONF_WIN
   repFormat->setConformanceWindowVpsFlag( true );
+#if H_MV_ALIGN_HM_15
+  repFormat->setConfWinVpsLeftOffset    ( m_confWinLeft   / TComSPS::getWinUnitX( repFormat->getChromaFormatVpsIdc() ) );
+  repFormat->setConfWinVpsRightOffset   ( m_confWinRight  / TComSPS::getWinUnitX( repFormat->getChromaFormatVpsIdc() )  );
+  repFormat->setConfWinVpsTopOffset     ( m_confWinTop    / TComSPS::getWinUnitY( repFormat->getChromaFormatVpsIdc() )  );
+  repFormat->setConfWinVpsBottomOffset  ( m_confWinBottom / TComSPS::getWinUnitY( repFormat->getChromaFormatVpsIdc() ) ); 
+#else
   repFormat->setConfWinVpsLeftOffset    ( m_confLeft   / TComSPS::getWinUnitX( repFormat->getChromaFormatVpsIdc() ) );
   repFormat->setConfWinVpsRightOffset   ( m_confRight  / TComSPS::getWinUnitX( repFormat->getChromaFormatVpsIdc() )  );
@@ -1684,5 +1632,4 @@
   repFormat->setConfWinVpsBottomOffset  ( m_confBottom / TComSPS::getWinUnitY( repFormat->getChromaFormatVpsIdc() ) ); 
 #endif
-
   assert( vps.getRepFormat( 0 ) == NULL ); 
   vps.setRepFormat( 0 , repFormat );
@@ -1700,7 +1647,4 @@
   {  
     Int currLsIdx = vps.olsIdxToLsIdx( i ); 
-#if !H_MV_HLS10_ADD_LAYERSETS
-    std::vector<Int> targetDecLayerIdList = vps.getTargetDecLayerIdList( i ); 
-#endif
     Bool subLayerFlagInfoPresentFlag = false; 
 
@@ -1708,10 +1652,6 @@
     {   
       Bool subLayerDpbInfoPresentFlag = false; 
-#if !H_MV_HLS10_ADD_LAYERSETS
-      assert( vps.getNumLayersInIdList( currLsIdx ) == targetDecLayerIdList.size() ); 
-#endif
       for( Int k = 0; k < vps.getNumLayersInIdList( currLsIdx ); k++ )   
       {
-#if H_MV_HLS10_DBP_SIZE
         Int layerIdInVps = vps.getLayerIdInVps( vps.getLayerSetLayerIdList( currLsIdx, k ) );
         if ( vps.getNecessaryLayerFlag( i,k ) && ( vps.getVpsBaseLayerInternalFlag() || vps.getLayerSetLayerIdList( currLsIdx, k ) != 0 ) )
@@ -1730,17 +1670,7 @@
           }
         }
-#else
-        Int layerIdInVps = vps.getLayerIdInVps( targetDecLayerIdList[k] );           
-        dpbSize->setMaxVpsDecPicBufferingMinus1( i, k, j, m_maxDecPicBufferingMvc[ layerIdInVps ][ j ] - 1 );
-
-        if ( j > 0 )
-        {
-          subLayerDpbInfoPresentFlag = subLayerDpbInfoPresentFlag || ( dpbSize->getMaxVpsDecPicBufferingMinus1( i, k, j ) != dpbSize->getMaxVpsDecPicBufferingMinus1( i, k, j - 1 ) );
-        }
-#endif
       }        
 
       Int maxNumReorderPics = MIN_INT;
-#if H_MV_HLS10_DBP_SIZE
       for ( Int idx = 0; idx < vps.getNumLayersInIdList( currLsIdx ); idx++ )
       {
@@ -1751,11 +1681,4 @@
         }
       }
-#else
-      for ( Int idx = 0; idx < targetDecLayerIdList.size(); idx++ )
-      {
-        Int layerIdInVps = vps.getLayerIdInVps( targetDecLayerIdList[ idx ] ); 
-        maxNumReorderPics = std::max( maxNumReorderPics, m_numReorderPicsMvc[ layerIdInVps ][ j ] ); 
-      }
-#endif
       assert( maxNumReorderPics != MIN_INT ); 
 
@@ -1804,5 +1727,4 @@
   // Additional output layer sets + profileLevelTierIdx
   vps.setDefaultOutputLayerIdc      ( m_defaultOutputLayerIdc );   
-#if H_MV_HLS10_ADD_LAYERSETS
   if( vps.getNumIndependentLayers() == 0 && m_numAddLayerSets > 0  )
   {
@@ -1838,33 +1760,16 @@
     }        
   }  
-#else
-  vps.setNumAddLayerSets            ( 0                             );  
-#endif
   vps.setNumAddOlss                 ( numAddOuputLayerSets          ); 
   vps.initTargetLayerIdLists(); 
 
-#if H_MV_HLS10_ADD_LAYERSETS
   for (Int olsIdx = 0; olsIdx < vps.getNumLayerSets() + numAddOuputLayerSets; olsIdx++)
   {
     Int addOutLsIdx = olsIdx - vps.getNumLayerSets();     
-#else
-  for (Int olsIdx = 0; olsIdx < m_vpsNumLayerSets + numAddOuputLayerSets; olsIdx++)
-  {
-    Int addOutLsIdx = olsIdx - m_vpsNumLayerSets;     
-#endif    
     vps.setLayerSetIdxForOlsMinus1( olsIdx, ( ( addOutLsIdx < 0 ) ?  olsIdx  : m_outputLayerSetIdx[ addOutLsIdx ] ) - 1 ); 
 
-#if H_MV_HLS10_ADD_LAYERSETS
     Int lsIdx = vps.olsIdxToLsIdx( olsIdx );
-#else
-    std::vector<Int>& layerIdList    = m_layerIdsInSets[ vps.olsIdxToLsIdx( olsIdx ) ];
-#endif
     if (vps.getDefaultOutputLayerIdc() == 2 || addOutLsIdx >= 0 )
     { 
-#if H_MV_HLS10_ADD_LAYERSETS
       for ( Int i = 0; i < vps.getNumLayersInIdList( lsIdx ); i++)
-#else
-      for ( Int i = 0; i < layerIdList.size(); i++)
-#endif
       {
         vps.setOutputLayerFlag( olsIdx, i, ( olsIdx == 0 && i == 0 ) ? vps.inferOutputLayerFlag(olsIdx, i ) : false ); // This is a software only fix for a bug in the spec. In spec outputLayerFlag neither present nor inferred for this case !
@@ -1876,13 +1781,7 @@
       for (Int j = 0; j < outLayerIdList.size(); j++)
       {   
-#if H_MV_HLS10_ADD_LAYERSETS
         for ( Int i = 0; i < vps.getNumLayersInIdList( lsIdx ); i++)
         {
           if ( vps.getLayerSetLayerIdList( lsIdx, i ) == outLayerIdList[ j ] )
-#else
-        for (Int i = 0; i < layerIdList.size(); i++ )
-        {
-          if ( layerIdList[ i ] == outLayerIdList[ j ] )
-#endif
           {
             vps.setOutputLayerFlag( olsIdx, i, true );       
@@ -1891,5 +1790,4 @@
           }
         }
-#if H_MV_HLS10_ADD_LAYERSETS
         if ( !outputLayerInLayerSetFlag )
         {
@@ -1897,16 +1795,9 @@
           exit(EXIT_FAILURE);
         }
-#else
-        assert( outputLayerInLayerSetFlag ); // The output layer is not in the layer set.
-#endif
       }
     }
     else
     {
-#if H_MV_HLS10_ADD_LAYERSETS
       for ( Int i = 0; i < vps.getNumLayersInIdList( lsIdx ); i++)
-#else
-      for ( Int i = 0; i < layerIdList.size(); i++)
-#endif
       {
         vps.setOutputLayerFlag( olsIdx, i, vps.inferOutputLayerFlag( olsIdx, i ) );       
@@ -1914,10 +1805,7 @@
     }
 
-#if H_MV_HLS10_NESSECARY_LAYER
     vps.deriveNecessaryLayerFlags( olsIdx ); 
-#endif
     vps.deriveTargetLayerIdList(  olsIdx ); 
 
-#if H_MV_HLS10_PTL
     // SET profile_tier_level_index. 
     if ( olsIdx == 0 )
@@ -1936,5 +1824,4 @@
         {
           vps.setProfileTierLevelIdx(olsIdx, j, m_profileTierLevelIdx[olsIdx][j] );
-#if H_MV_HLS10_PTL_FIX
           if( !vps.getNecessaryLayerFlag(olsIdx,j) && m_profileTierLevelIdx[ olsIdx ][ j ] != -1 )
           {
@@ -1943,8 +1830,4 @@
         }
         else if ( vps.getNecessaryLayerFlag(olsIdx,j) )
-#else
-        }
-        else
-#endif
         {
           // setting default values
@@ -1962,10 +1845,4 @@
       }
     }
-#else
-    if ( olsIdx > 0 ) 
-    {
-      vps.setProfileLevelTierIdx( olsIdx, m_profileLevelTierIdx[ olsIdx ] ); 
-    }
-#endif
    
     if ( vps.getNumOutputLayersInOutputLayerSet( olsIdx ) == 1 && 
@@ -2005,9 +1882,5 @@
     if( pcVPSVUI->getBitRatePresentVpsFlag( )  ||  pcVPSVUI->getPicRatePresentVpsFlag( ) )
     {
-#if H_MV_HLS10_VPS_VUI
       for( Int i = 0; i  <  vps.getNumLayerSets(); i++ )
-#else
-      for( Int i = 0; i  <=  vps.getVpsNumLayerSetsMinus1(); i++ )
-#endif
       {
         for( Int j = 0; j  <=  vps.getMaxTLayers(); j++ ) 
@@ -2058,9 +1931,5 @@
         for( Int j = 0; j < vps.getNumDirectRefLayers( vps.getLayerIdInNuh( i ) ) ; j++ )
         {  
-#if H_MV_HLS10_REF_PRED_LAYERS
           Int layerIdx = vps.getLayerIdInVps( vps.getIdDirectRefLayer(vps.getLayerIdInNuh( i ) , j  ));  
-#else
-          Int layerIdx = vps.getLayerIdInVps( vps.getRefLayerId(vps.getLayerIdInNuh( i ) , j  ));  
-#endif
           if( pcVPSVUI->getTilesInUseFlag( i )  &&  pcVPSVUI->getTilesInUseFlag( layerIdx ) )  
           {
@@ -2081,8 +1950,6 @@
     }
 
-#if H_MV_HLS10_VPS_VUI
   pcVPSVUI->setSingleLayerForNonIrapFlag( m_singleLayerForNonIrapFlag );
   pcVPSVUI->setHigherLayerIrapSkipFlag( m_higherLayerIrapSkipFlag );
-#endif
 
     pcVPSVUI->setIlpRestrictedRefLayersFlag( m_ilpRestrictedRefLayersFlag );
@@ -2141,10 +2008,8 @@
   }
 }
-#if H_MV_HLS10_GEN_FIX
 Bool TAppEncTop::xLayerIdInTargetEncLayerIdList(Int nuhLayerId)
 {
   return  ( std::find(m_targetEncLayerIdList.begin(), m_targetEncLayerIdList.end(), nuhLayerId) != m_targetEncLayerIdList.end()) ;
 }
-#endif
 
 
@@ -2159,5 +2024,5 @@
     Bool isDepth      = ( vps.getDepthId( layer ) == 1 ) ;
     Bool isLayerZero  = ( layer == 0 ); 
-#if LGE_FCO_I0116
+#if H_3D_FCO
     Bool isDepthFirst = (layer > 1 ? true : false);
 #endif
@@ -2171,7 +2036,5 @@
     {
       vps.setSubPULog2Size         ( layer, (layer != 1) ? 6: 0 ); 
-#if MTK_I0099_VPS_EX2
       vps.setSubPUMPILog2Size      ( layer, (!isLayerZero) ? m_iSubPUMPILog2Size: 0 ); 
-#endif
     }
     else
@@ -2183,10 +2046,8 @@
 #if H_3D_DIM
     vps.setVpsDepthModesFlag( layer, isDepth && !isLayerZero && (m_useDMM || m_useSDC || m_useDLT ) );
-#if SEPARATE_FLAG_I0085
-#if LGE_FCO_I0116
+#if H_3D_FCO
     vps.setIVPFlag          ( layer, isDepth && !isLayerZero && m_useIVP && !isDepthFirst );
 #else
     vps.setIVPFlag          ( layer, isDepth && !isLayerZero && m_useIVP );
-#endif
 #endif
 #endif
@@ -2196,7 +2057,5 @@
     {
       vps.setIvMvPredFlag    (layer, false);
-#if SEC_HLS_CLEANUP_I0100
       vps.setIvMvScalingFlag (layer, false); 
-#endif
     }
     else
@@ -2210,11 +2069,9 @@
         vps.setIvMvPredFlag         ( layer, !isLayerZero && m_ivMvPredFlag[0] ); 
       }
-#if SEC_HLS_CLEANUP_I0100
       vps.setIvMvScalingFlag (layer, m_ivMvScalingFlag); 
-#endif
-    }
-#endif
-#if MTK_I0099_VPS_EX2
-#if LGE_FCO_I0116
+    }
+#endif
+#if H_3D_QTLPC
+#if H_3D_FCO
     vps.setLimQtPredFlag         ( layer, isDepth && m_bLimQtPredFlag && !isDepthFirst ); 
 #else
@@ -2235,5 +2092,5 @@
 #endif
 #if H_3D_IV_MERGE
-#if LGE_FCO_I0116
+#if H_3D_FCO
     vps.setMPIFlag( layer, !isLayerZero && isDepth && m_bMPIFlag && !isDepthFirst );
 #else
@@ -2242,14 +2099,4 @@
 #endif
   }  
-#if !MTK_I0099_VPS_EX2
-#if H_3D_SPIVMP
-  vps.setSubPUMPILog2Size( m_iSubPUMPILog2Size );
-#endif
-#endif
-#if H_3D
-#if !SEC_HLS_CLEANUP_I0100
-  vps.setIvMvScalingFlag( m_ivMvScalingFlag );   
-#endif
-#endif
 }
 
@@ -2273,7 +2120,5 @@
       xAnalyzeInputBaseDepth(layer, max(m_iIntraPeriod[layer], 24), &vps, &dlt);
       bDltPresentFlag = bDltPresentFlag || dlt.getUseDLTFlag(layer);
-#if H_3D_DELTA_DLT
       dlt.setInterViewDltPredEnableFlag(layer, (dlt.getUseDLTFlag(layer) && (layer>1)));
-#endif
     }
   }
Index: trunk/source/App/TAppEncoder/TAppEncTop.h
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncTop.h	(revision 1066)
+++ trunk/source/App/TAppEncoder/TAppEncTop.h	(revision 1084)
@@ -133,5 +133,4 @@
   Void xSetProfileTierLevel       ( TComVPS& vps );
 
-#if H_MV_HLS10_PTL
   Void xSetProfileTierLevel( TComVPS& vps, Int profileTierLevelIdx, Int subLayer,                              
                              Profile::Name profile, Level::Name level, Level::Tier tier, 
@@ -139,5 +138,4 @@
                              Bool nonPackedConstraintFlag, Bool frameOnlyConstraintFlag, 
                              Bool inbldFlag );
-#endif
   Void xSetRepFormat              ( TComVPS& vps );
   Void xSetDpbSize                ( TComVPS& vps );
@@ -145,7 +143,5 @@
   GOPEntry* xGetGopEntry( Int layerIdInVps, Int poc );
   Int  xGetMax( std::vector<Int>& vec);
-#if H_MV_HLS10_GEN_FIX
   Bool xLayerIdInTargetEncLayerIdList( Int nuhLayerId );
-#endif
 #endif
 #if H_3D
